summaryrefslogtreecommitdiff
path: root/check.sh
diff options
context:
space:
mode:
authorMichał Masłowski <mtjm@mtjm.eu>2014-03-22 13:38:06 +0100
committerMichał Masłowski <mtjm@mtjm.eu>2014-03-22 13:38:06 +0100
commit1c8cbe5ad4a1f8fa96a934e8672e5bffeef27f38 (patch)
tree4cf7547c468634071b4869ac9831d50de2f5c8e1 /check.sh
parent78390cee56bdd08932146c871e70c13bf15d085a (diff)
Add a verification script.
Fails, since we don't have references for most entries yet.
Diffstat (limited to 'check.sh')
-rwxr-xr-xcheck.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/check.sh b/check.sh
new file mode 100755
index 0000000..00d3b9a
--- /dev/null
+++ b/check.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (C) 2014 Michał Masłowski <mtjm@mtjm.eu>
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+# Verify the blacklist entries are correctly formatted.
+
+bad_entries="$(egrep -v '^[^:]*:[^:]*:(sv|debian|parabola)?:[^:]*:.*$' *.txt)"
+
+if [[ ! -z "$bad_entries" ]]; then
+ printf "Incorrectly formatted entries:\n\n%s\n" "$bad_entries" >&2
+ exit 1
+fi
+
+unsourced="$(egrep '^[^:]*:[^:]*::[^:]*:.*$' *.txt)"
+
+if [[ ! -z "$unsourced" ]]; then
+ printf "[citation needed]:\n\n%s\n" "$unsourced" >&2
+ exit 1
+fi